== etracer ==
2007-09-21 Andreas Tarandi <torandi@gmail.com>
	Bug-fixes and translation update.
2007-09-20 Andreas Tarandi <torandi@gmail.com>
	* src/highscore.cpp:
	Shouldn't crash on empty highscore now. I think
2007-09-20 Andreas Tarandi <torandi@gmail.com>
Changes:
M      src/game_config.cpp
M      src/event_select.cpp
M      src/os_util.cpp
M      src/ppgltk/ui_theme.cpp
M      src/splash_screen.cpp
M      src/main.cpp
M      src/highscore.cpp
M      src/videoconfig.cpp
M      data/Makefile.in
A      data/textures/menu_title_small.png
A      data/textures/splash_small.png
A      data/etracer_init.tcl
D      data/ppracer_init.tcl
M      data/Makefile.am

* Added some new graphics for small resolutions, and removed some video alteratives for windows (request from cpicon)
* The edits in other files are just changes from PPRacer -> ETRacer that I made.

2007-09-20 Andreas Tarandi <torandi@gmail.com>
Changes:
M      src/track_marks.cpp
M      src/reset.cpp
M      src/player.h
M      src/keyframe.cpp
A      src/model_hndl.cpp
M      src/Makefile.am
M      src/phys_sim.cpp
M      src/Makefile.in
M      src/tux_shadow.cpp
D      src/tux.h
M      src/graphicsconfig.cpp
M      src/intro.cpp
M      src/credits.cpp
M      src/game_over.cpp
M      src/paused.cpp
M      src/etracer.h
M      src/graphicsconfig.h
M      src/player.cpp
M      src/racing.cpp
M      src/view.cpp
A      src/model_hndl.h
M      src/main.cpp
D      src/tux.cpp
A      data/tux_snowboard.tcl
M      data/ppracer_init.tcl
M      data/translations/fr_FR.tcl
M      data/translations/sv_SE.tcl
M      data/translations/nl_NL.tcl
M      data/translations/languages.tcl
M      data/translations/en_GB.tcl
A      data/translations/fi_FI.tcl
M      data/Makefile.in
A      data/models.tcl
A      data/fonts/PaperCuts20.ttf
M      data/Makefile.am

* Added multimodel support (add model in data/models.tcl)
* Updated some translations.
* Also added the updated font

2007-09-19 Andreas Tarandi <torandi@gmail.com>
   * src/ppoglk/widget.h
     Added the function bool getSensitive() (returns set value from setSensitive())
   * src/event_select.cpp, src/event_race_select.cpp
     Fixed the bug that made it possible to play a locked level by pressing enter
   * src/credits.cpp (edit by cpicon92)
     Added the Extreme Tux Racer team to the credits
   *	data/translations/sv_SE.tcl
   	Minor fixes
   * data/textures/*, /home/torandi/builds/etracer/data/courses/themes/items/herrings/herring_dead.png
     Updated some graphics (new graphic by Nicosmos and cpicon92s)
    	
   	
2007-09-13 Andreas Tarandi <torandi@gmail.com>
   * data/translations/languages.tcl
   	data/translations/sv_SE.tcl
   	data/Makefile.in
   	Added swedish translation
   	
2007-09-13 Andreas Tarandi <torandi@gmail.com>
   * src/race_select.h  src/event_select.cpp src/loop.cpp
     src/game_over.h src/game_type_select.cpp src/Makefile.in
     src/winsys.cpp src/game_over.cpp src/race_select.cpp src/loop.h
     src/player.cpp src/game_type_select.h
     src/main.cpp src/event_select.h
     data/translations/en_GB.tcl
     new files: src/highscore.cpp src/highscore.h
     Added highscore, plus a way for user to enter username.
	Some translation is needed. (See #highscore in data/translations/en_GB.tcl)
	
2007-9-1  Steven Bell <botsnlinux@gmail.com>
  * AUTHORS    

=== ppracer 0.3.1 ===

2005-02-28  Volker Stroebel <volker@planetpenguin.de>
	* src/data/translations
	updated translations

2005-02-27  Volker Stroebel <volker@planetpenguin.de>
	* src/ppgltk/audio/audio_data.cpp src/hier_util.cpp
	  src/phys_sim.cpp src/ppgltk/textarea.cpp
	  src/credis.cpp src/hud.cpp src/quadtree.cpp
	  src/race_select.cpp src/ppgltk/listbox.cpp
	  src/callbacks.cpp src/ppgltk/label.cpp
	fixed compilation with --enable-debug
	
	* configure.in
	fixed --disable-debug

2005-02-26  Volker Stroebel <volker@planetpenguin.de>
	* src/phys_sim.cpp src/quadtree.* src/string_util.cpp 
	  src/debug.h src/textures.cpp src/ppgltk/images/png_reader.cpp
	  src/ppgltk/model.cpp src/ppgltk/model_ac.cpp
	  src/ppgltk/font.cpp src/course_quad.cpp
	several code fixes from ArKay

2005-02-24  Volker Stroebel <volker@planetpenguin.de>
	* src/game_over.cpp
	fix max speed calculation	

2005-02-18  Volker Stroebel <volker@planetpenguin.de>
	* data/translations/*
	updated translations
	
	* contrib/palettes/*
	added gimp color palettes for the terrains
	
	* configure.in
	added --with-tcl-inc and --with-tcl-lib-name

2005-02-15  Volker Stroebel <volker@planetpenguin.de>
	* src/course_load.cpp
	made hud translateable

2005-02-11  Volker Stroebel <volker@planetpenguin.de>
	* src/videoconfig.*
	added videomode autodetection (only resolutions)
	
	* src/gameconfig.*
	added x_resolution_half_width
	added disable_videomode_autodetection
	
	* src/splash_screen.*
	made label translateable and changed merged images
	
	* src/ppgltk/images/png_reader.*
	added support for grayscale and palette images
	
	*src/credits.cpp
	added translators to credits

2005-02-10  Volker Stroebel <volker@planetpenguin.de>
	* src/graphicsconfig.cpp
	increased size of language selection widget
	
	* src/winsys.cpp
	fixed compilation problem on some sdl version

2005-02-08  Volker Stroebel <volker@planetpenguin.de>
	* src/quadtree.cpp src/textures.cpp src/lopp.cpp
	added some fixes from ArKay

2005-02-07  Volker Stroebel <volker@planetpenguin.de>
	* src/translations/*
	updated and added new translations

=== ppracer 0.3 ===

2005-02-01  Volker Stroebel <volker@planetpenguin.de>
	* src/ppgltk/font.* src/callbacks.cpp
	implemented pp_bind_font
	
	* src/data/*
	updated font registration
	added fr_FR translation
	updated translation

2005-01-31  Volker Stroebel <volker@planetpenguin.de>
	* src/textures.cpp
	added patch from Stephane Marchesin to fix
	skybox gabs on ati radeon cards
	
	* src/ppgltk/*
	changed enabled state to sensitive state in pp::Widgets
	implemented insensitive state in pp::Label and pp::Listbox
	added insensitiv and focus color to pp::Theme
	added hasFocus handling to pp::Listbox
	
	* src/joystickconfig.*
	made config insensitive if joystick is disabled
	finished joystick config

2005-01-30  Volker Stroebel <volker@planetpenguin.de>
	* src/joystickconfig.*
	added joystick configuration
	
	* src/*
	cleanups in several gamemodes

2005-01-29  Volker Stroebel <volker@planetpenguin.de>
	* src/*
	completed the change to new font system
	
	* src/fonts.* data/fonts/*
	removed old font system and old font data files

2005-01-28  Volker Stroebel <volker@planetpenguin.de>
	* src/hud.* src/course_load.cpp
	changed hud to use new font system
	added some speed optimations
	
	* src/ppgltk/font.*
	added functions for using unicode strings

2005-01-27  Volker Stroebel <volker@planetpenguin.de>
	* src/ppgltk/label.*
	added label widget
	
	* src/ppgltk/alignment.* src/ppgltk/widget.h
	added classes Alignment
	added alignment to pp::Widget
	
	* src/* 
	changed code to use pp::Label

2005-01-26  Volker Stroebel <volker@planetpenguin.de>
	* src/*
	partly changed code to use new font system
	
	* src/ppgltk/*
	changed some widget code to new coding convention

2005-01-25  Volker Stroebel <volker@planetpenguin.de>
	* configure.in src/ppgltk/font.* src/ppgltk/FT/*
	added FTGL
	added freetype based font system
	added freetype detection to configure.in

2005-01-24  Volker Stroebel <volker@planetpenguin.de>

	* configure.in
	fixed --with-tcl=DIR switch
	
	* configure.in src/game_config.cpp
	changed default data dir to respect the prefix
	
	* data/*
	merged data package
	added pt_PT (portuguese) translation
	changed sco item to dead fish
	
=== ppracer 0.2.3 ===

2005-01-18  Volker Stroebel <volker@planetpenguin.de>
	
	* src/credits
	updated credits
	
	* (*)
	fix compilation with mingw

2005-01-14  Volker Stroebel <volker@planetpenguin.de>
	* src/*
	removed HAVE_SDL macro because this is now unnecessary
	
	* src/*
	integrated language patch from Theo Snelleman
	
	* src/tex_font_metrics.cpp
	fixed crash caused by some (unknown) characters

2005-01-13  Volker Stroebel <volker@planetpenguin.de>
	* aclocal.am configure.in
	changed some parts of the configure stuff

=== ppracer 0.2.2 ===

2004-12-27  Volker Stroebel <volker@planetpenguin.de>
	* src/course_load.* quadtree.cpp
	added support for terrains wheights
	fix calculation of nonexistant terrains
	
	* src/player.* src/hud.*
	implement course percentage and add progressbar to HUD
	
	* src/game_config.* src/graphicsconfig.*
	added display_course_percentage to game config
	and a checkbox in the graphicsconfig UI
	
	* src/ppgltk/textarea.*
	changed createLines() to support newlines

	* src/*
	code cleanups
	
	* doc/*
	added doc directory and a doxygen file for
	api/code documentation.
	
	* src/credits.cpp
	updated contributors

2004-12-23  Volker Stroebel <volker@planetpenguin.de>
	* src/ppgltk/model_ac.cpp
	fix compilation problem

2004-12-10  Volker Stroebel <volker@planetpenguin.de>
	* src/fonts.* src/...
	added Font::getWidth(const char* string)
	changed some static positions for variable width translations

2004-12-09  Volker Stroebel <volker@planetpenguin.de>
	* src/translation.* src/main.cpp
	added simple translation support
	added ui_language to config files

	* (src/...)
	changed translateable string to use translation system	

2004-12-08  Volker Stroebel <volker@planetpenguin.de>
	* src/winsys.cpp
	some cleanups

=== ppracer 0.2.1-2 ===

2004-12-08  Volker Stroebel <volker@planetpenguin.de>
	* src/game_config.cpp src/ppracer.h
	tcl did it again...
	fix compilation error with tcl<8.4
	
	* src/game_config.* src/joystick.h
	added disable_joystick to game config

=== ppracer 0.2.1 ===

2004-12-06  Volker Stroebel <volker@planetpenguin.de>
	* src/course_load.* src/pp_classes.h src/phys_sim.cpp
	changed Item::m_collectable to Item::m_type and added m_collected
	added -type and removed -uncollectable attribute from item_spec_cb
	
	* src/player.* src/phys_sim.cpp src/pp_classes.h
	added Item::LIFE to item Type
	added support for increasing lives in class Player
	
	* (src/...)
	changed colour to color

2004-12-03  Volker Stroebel <volker@planetpenguin.de>
	* src/bench.cpp
	fix possible segfault on startup
	
	* src/bench.* src/main.cpp
	added cmdline option for setting the condition in benchmode
	
	* src/ppgltk/model_ac.*
	moved ac3d loader in class pp::ModelAC

2004-12-03 Teemu Vesala <teme@lysti.net>
	* src/game_mgr.h src/game_over.cpp src/intro.cpp src/racing.cpp
	added support for "airborne calculation. Outputs how many percent
 	of time the Tux has been flying.

2004-12-01  Volker Stroebel <volker@planetpenguin.de>
	* src/ppgltk/model.* src/course_load.* src/pp_classes.h
	added getPolyhedron() to pp::Model
	added Polyhedron to tree_type_t and class Tree

	* src/phys_sim.cpp
	changed check_tree_collsion to use new tree model

2004-11-29  Volker Stroebel <volker@planetpenguin.de>
	* src/ppgktk/model.* src/ppgltk/model_ac.*
	added support for ac3d models
	
	* src/course_load.cpp
	added tree_model_cb for new tree model system
	removed some old unused callbacks
	
	* src/ppgltk/alg/poly.*
	added pp::Polyhedron and pp::Polygon
	
2004-11-26  Volker Stroebel <volker@planetpenguin.de>
	* src/bench.cpp src/bench.h and some others
	added class Benchmark
	implement benchmark modes
	added cmdline options for benchmodes
	
2004-11-25  Volker Stroebel <volker@planetpenguin.de>
	* src/main.c src/game_config.c
	added cmdline option for custom config files
	
	* src/game_config.*
	added disable_collision_detection to config file
	
2004-11-23  Volker Stroebel <volker@planetpenguin.de>
	* (src/...)
	replaced some char* with std::string
	
	* (src/...)
	fixed compilation error with gcc 2.95.x
	
	* (src/...)
	changed some classes to use new coding specs
	for privat member variables
		
=== ppracer 0.2-2 ===		

2004-11-16  Volker Stroebel <volker@planetpenguin.de>		
	* src/textures.cpp
	fix crash on startup
		
=== ppracer 0.2 ===
